#ifndef MOUSEEVENT_HPP_INCLUDED
#define MOUSEEVENT_HPP_INCLUDED

#include <cstdint>
#include "Object.hpp"

class MouseEvent : public Object
{
    public:
        MouseEvent();
        MouseEvent(void* Object);
        MouseEvent(const MouseEvent& M);
        MouseEvent(Object Source, std::int32_t ID, std::int64_t When, std::int32_t Modifiers,
                   std::int32_t X, std::int32_t Y, std::int32_t ClickCount, bool PopupTrigger,
                   std::int32_t Button);
};

#endif // MOUSEEVENT_HPP_INCLUDED
